profile-image

Stumbles

Dennis Veatch , United States of America
kAnyRemote

Utilities 99 comments

Score 86%
86 Likes
14 Dislikes
Jan 24 2015
From cli kanyremote says to install PyQt4; it is installed here;

/usr/lib/python2.7/site-packages/PyQt4

and the qt plugin is here;

/usr/lib/qt4/plugins/designer/libpythonplugin.so

and the executables are here;

/usr/bin/pylupdate4
/usr/bin/pyrcc4
/usr/bin/pyuic4
- Dec 08 2011
Correction time should be touch. - Dec 08 2011
kanyremote-5.13.tar.gz configure stops with;

newly created file is older than distributed files!

Running time * in the source dir fixes the issue.
- Dec 07 2011
QOAuth

Qt Components 16 comments

by ayoy
Score 59%
59 Likes
41 Dislikes
Aug 01 2010
Using qoauth-1.0.1 or a git pull (today) the make fails on;


make[2]: Entering directory `/usr/src/qoauth-1.0.1-src/tests/ft_interface'
g++ -m64 -Wl,-O1 -Wl,-rpath,/usr/lib/qt4 -o ft_interface ft_interface.o moc_ft_interface.o -L/usr/lib/qt4 -L/usr/src/qoauth-1.0.1-src/lib -lqoauth -L/usr/lib/qt4 -L/usr/lib -Wl,-rpath,../../lib:lib -lqca -lQtTest -lQtNetwork -lQtCore -lpthread
ft_interface.o: In function `QOAuth::Ft_Interface::accessResourcesRSA()':
ft_interface.cpp:(.text+0x586e): undefined reference to `QOAuth::InterfacePrivate::replyToMap(QByteArray const&)'
ft_interface.o: In function `QOAuth::Ft_Interface::accessResources()':
ft_interface.cpp:(.text+0x7096): undefined reference to `QOAuth::InterfacePrivate::replyToMap(QByteArray const&)'
collect2: ld returned 1 exit status
make[2]: *** [ft_interface] Error 1
make[2]: Leaving directory `/usr/src/qoauth-1.0.1-src/tests/ft_interface'
make[1]: *** [sub-ft_interface-make_default] Error 2
make[1]: Leaving directory `/usr/src/qoauth-1.0.1-src/tests'
make: *** [sub-tests-make_default-ordered] Error 2
- Nov 02 2011
Using qoauth-1.0.1 or a git pull (today) the make fails on;


make[2]: Entering directory `/usr/src/qoauth-1.0.1-src/tests/ft_interface'
g++ -m64 -Wl,-O1 -Wl,-rpath,/usr/lib/qt4 -o ft_interface ft_interface.o moc_ft_interface.o -L/usr/lib/qt4 -L/usr/src/qoauth-1.0.1-src/lib -lqoauth -L/usr/lib/qt4 -L/usr/lib -Wl,-rpath,../../lib:lib -lqca -lQtTest -lQtNetwork -lQtCore -lpthread
ft_interface.o: In function `QOAuth::Ft_Interface::accessResourcesRSA()':
ft_interface.cpp:(.text+0x586e): undefined reference to `QOAuth::InterfacePrivate::replyToMap(QByteArray const&)'
ft_interface.o: In function `QOAuth::Ft_Interface::accessResources()':
ft_interface.cpp:(.text+0x7096): undefined reference to `QOAuth::InterfacePrivate::replyToMap(QByteArray const&)'
collect2: ld returned 1 exit status
make[2]: *** [ft_interface] Error 1
make[2]: Leaving directory `/usr/src/qoauth-1.0.1-src/tests/ft_interface'
make[1]: *** [sub-ft_interface-make_default] Error 2
make[1]: Leaving directory `/usr/src/qoauth-1.0.1-src/tests'
make: *** [sub-tests-make_default-ordered] Error 2
- Nov 02 2011
Semantik

Education 148 comments

Score 80%
80 Likes
20 Dislikes
Jun 16 2018
I didn't have to do anything for Python. Though my distro (Lunar-Linux) installs the python executable as /usr/bin/python2.7 with the /usr/bin/python-config pointing to /usr/bin/python2.7. Maybe its distro differences? - Dec 05 2010
Its been a while since looking at this but IIRC what I did was remove "-lstr" from the wscript. - Dec 05 2010
As the subject says there appears to be an issue with ocaml. The relevant parts are;

Quote:

[55/62] ocamlcc: src/aux.c -> build/default/src/aux.o
[56/62] ocamlx: src/apis.ml -> build/default/src/apis.cmx
[57/62] ocamlx: src/fixed.ml -> build/default/src/fixed.cmx
[58/62] ocamlx: src/force.ml -> build/default/src/force.cmx
[59/62] ocamlx: src/util.ml -> build/default/src/util.cmx
[60/62] ocalinkx: build/default/src/apis.cmx build/default/src/fixed.cmx build/default/src/force.cmx build/default/src/util.cmx -> build/default/camlprog.o
[61/62] cxx_link: build/default/src/wp/test_3.o -> build/default/libnablah.so
[62/62] cxx_link: build/default/src/browser_4.o build/default/src/canvas_flag_4.o build/default/src/canvas_item_4.o build/default/src/canvas_link_4.o build/default/src/canvas_sort_4.o build/default/src/canvas_view_4.o build/default/src/color_scheme_4.o build/default/src/config_dialog_4.o build/default/src/data_control_4.o build/default/src/data_item_4.o build/default/src/data_view_4.o build/default/src/doc_dialog_4.o build/default/src/fig/box_item_4.o build/default/src/fig/box_link_4.o build/default/src/fig/box_view_4.o build/default/src/flag_scheme_4.o build/default/src/generator_dialog_4.o build/default/src/image_view_4.o build/default/src/linear_container_4.o build/default/src/linear_view_4.o build/default/src/main_4.o build/default/src/pre_view_4.o build/default/src/semantik_4.o build/default/src/sembind_4.o build/default/src/sembind_py_4.o build/default/src/table_dialog_4.o build/default/src/table_view_4.o build/default/src/template_entry_4.o build/default/src/text_view_4.o build/default/src/vars_view_4.o build/default/src/aux.o build/default/camlprog.o -> build/default/src/semantik
/usr/bin/ld: cannot find -lstr
collect2: ld returned 1 exit status
Waf: Leaving directory `/usr/src/semantik-0.7.3/build'
Build failed
-> task failed (err #1):
{task: cxx_link browser_4.o,canvas_flag_4.o,canvas_item_4.o,canvas_link_4.o,canvas_sort_4.o,canvas_view_4.o,color_scheme_4.o,config_dialog_4.o,data_control_4.o,data_item_4.o,data_view_4.o,doc_dialog_4.o,box_item_4.o,box_link_4.o,box_view_4.o,flag_scheme_4.o,generator_dialog_4.o,image_view_4.o,linear_container_4.o,linear_view_4.o,main_4.o,pre_view_4.o,semantik_4.o,sembind_4.o,sembind_py_4.o,table_dialog_4.o,table_view_4.o,template_entry_4.o,text_view_4.o,vars_view_4.o,aux.o,camlprog.o -> semantik}

- Aug 15 2010
2ManDVD

Utilities 344 comments

by csgib
Score 89%
89 Likes
11 Dislikes
Jul 30 2013
So if I want to install this system wide, just exactly what directories and files need to be copied? - Mar 14 2010
kbluetooth

System Software 58 comments

Score 81%
81 Likes
19 Dislikes
Feb 21 2010
I just cheated the thing and replaced LibKNotificationItem-1 in the top level CMakeLists.txt with KDE4Workspace. I do have kdelibs4-experimental installed, so figured it wouldn't hurt anything. So the cmake finished without error and the make went fine.

I can find my phone, but I'm on Verizon and they s u c k for having their stuff locked down to only use their networked garbage. Anyway enough of that.

I am not able to connect my headphones (Plantronics 590), but I could with blueman.

Anyway, its great to see some movement on a real kdebluetooth app; thanks for the hard work. - Sep 17 2009
Nuvola

Individual Icons/-sets 244 comments

by dave
Score 79%
79 Likes
21 Dislikes
Oct 15 2004
I've been using this icon set now for a couple of weeks and liking it more and more.

There is just one little minor nit (isn't there always). The folder icon with the heart on it. It looks nice and all but to me it looks really out of place.

They seem to be the default choice for the bookmarks toolbar and I wouldn't mind it so much if I could figure out how to change them to something else.

Other than that it's a great icon set. - May 13 2007
KPlayer

Video Apps 100 comments

Score 82%
82 Likes
18 Dislikes
Jan 11 2008
Just a side note here. On some streams I have found such as;

http://64.157.15.135:8040;stream.nsv

kplayer does not like the ";stream.nsv". Just going with http://64.157.15.135:8040 and kplayer starts the stream just fine. However, mplayer does not have a problem with ";stream.nsv".

It's not really a big deal I guess, just noting the difference between the two.

Aside from that, good work. - Jan 17 2007
Just a side note here. On some streams I have found such as;

http://64.157.15.135:8040;stream.nsv

kplayer does not like the ";stream.nsv". Just going with http://64.157.15.135:8040 and kplayer starts the stream just fine. However, mplayer does not have a problem with ";stream.nsv".

It's not really a big deal I guess, just noting the difference between the two.

Aside from that, good work. - Jan 17 2007
Ok tried something a little different, this time a ball peen hammer instead of a sledge.

changed line 71 from ;

automake*1.6.* | automake*1.7* | automake*1.8* | automake*1.9*)

to

automake*1.6.* | automake*1.7* | automake*1.8* | automake*1.9* | automake*1.10*)

and it compiled/installed fine just like kde and all the other kapps compiled with the current stable releases of autoconf/automake and friends :) - Jan 17 2007
root@sidney /usr/src/kplayer-0.6.0 # moc -v
Qt Meta Object Compiler version 26 (Qt 3.3.7)


Looking through the config.log, I do not see anything unusual Qt/kde paths are found, etc, etc. A snip for config.log;

configure:30301: result: libraries /opt/lunar/qt/3/lib, headers /opt/lunar/qt/3/include using -mt
configure:30482: checking for moc
configure:30554: result: /opt/lunar/qt/3/bin/moc
configure:30562: checking for uic
configure:30616: result: /opt/lunar/qt/3/bin/uic
configure:30647: checking whether uic supports -L
configure:30658: /opt/lunar/qt/3/bin/uic -L /nonexistent conftest.ui >/dev/null
configure:30661: $? = 0
configure:30673: result: yes
configure:30685: checking whether uic supports -nounload
configure:30696: /opt/lunar/qt/3/bin/uic -nounload conftest.ui >/dev/null
configure:30699: $? = 0
configure:30711: result: yes

The top level Makefile has found "MOC = /opt/lunar/qt/3/bin/moc" - Jan 17 2007
erf.
That last sentence should have referred to kplayerpart.moc - Jan 17 2007
To make things easy I simply deleted lines 64-90 in admin/cvs.sh. Bootstrap ran fine and so did ./configure but the build fails on ;

kplayerpart.cpp:28:27: kplayerpart.moc: No such file or directory
make[2]: *** [kplayerpart.lo] Error 1
make[2]: Leaving directory `/usr/src/kplayer-0.6.0/kplayer'
make[1]: *** [all-recursive] Error 1


I see in kplayer.cpp you have a #include "kplayer.moc" but there is no such file in kplayer-0.6.0/kplayer. - Jan 17 2007
Yeah, I saw those *pl but must be blind cause I can't find where it's looking for version number. - Jan 16 2007
correction there;

/usr/share/automake -> /usr/share/automake-1.10 - Jan 16 2007
ls -al /usr/bin/automake
-rwxr-xr-x 2 root root 232800 2007-01-07 16:54 /usr/bin/automake

And I do have automake-1.10 installed. - Jan 16 2007
make -f Makefile.dist fails with;

*** YOU'RE USING automake (GNU automake) 1.10.
*** KDE requires automake 1.6.1 or newer
make[1]: *** [cvs] Error 1
make: *** [all] Error 2


Unless I can no longer count correctly,

1.10 is greater than 1.6.1 - Jan 16 2007
electroinic desinger apps IDEA

Science 4 comments

Score 63%
63 Likes
37 Dislikes
Jan 11 2007
Well it could possibly run in real time. It would depend on things like the number of samples, data rates, etc. Now if you were planning on being able to use a GPIB type device to capture that kind of data, it might make it easier. - Jan 12 2007
I don't know who all you have talked to (OSS apps wise) but the folks over at;

http://geda.seul.org/tools/geda/index.html

Might be helpful. They may have some helpful ideas or point you to other folks. - Jan 11 2007
kio-locate

KDE 1.-4. Improvements 178 comments

Score 78%
78 Likes
22 Dislikes
Oct 20 2005
I to get that Dependency cycle error but don't know how to get around it. Any pointers? - Dec 20 2006
keurocalc - Fedora Core 6 i386 rpm

Financial 3 comments

Score 64%
64 Likes
36 Dislikes
Nov 28 2006
How do I compile this without using a svn/beta version of unsermake? - Nov 28 2006
kradview

Graphics & Photography 34 comments

by irbis
Score 83%
83 Likes
17 Dislikes
Apr 16 2008
Hmm, that's odd. I've compiled all of kde base and a slew of kde/qt apps all with automake-1.9.6 and autoconf- 2.60 without a lick of trouble. And they all work just fine.

This makes the second kde app I've come across that demands I downgrade both of those. - Jul 13 2006
KUnRAR

Dolphin Service Menus 5 comments

Score 62%
62 Likes
38 Dislikes
Feb 07 2006
When I first saw this, I immediately thought, "great there's a new version of unrar from http://www.rarlab.com".

Well surprise. Might I suggest a name change to not conflict with the program unrar that already exists. Maybe kunrar or whatever suits your fancy. - Jan 14 2006
Gear KDM Theme

KDM3 Themes 17 comments

Score 69%
69 Likes
31 Dislikes
Aug 03 2005
I like the looks of that. I suggest you submit this to the KDE folks and ask it be the default login screen and color theme for the next release. - Jun 20 2005
Konversation

Chat & Messenging 91 comments

by Sho
Score 87%
87 Likes
13 Dislikes
Jun 26 2018
Well, wadyaknow. Thanks for the help and quick reply. - Jun 07 2005
I get a number of is ambiguous error messages and it fails to compile. Here are some examples that happen in the "src" directory (version 0.16 compiled fine);

In file included from konversation.all_cpp.cpp:48:
inputfilter.cpp: In member function `void InputFilter::parseClientCommand(const
QString&, const QString&, const QStringList&, const QString&)':
inputfilter.cpp:168: error: use of `Query' is ambiguous
query.h:37: error: first declared as `class Query' here
outputfilter.h:40: error: also declared as `Konversation::MessageType Query'
here
inputfilter.cpp:168: error: `query' undeclared (first use this function)
inputfilter.cpp:168: error: (Each undeclared identifier is reported only once
for each function it appears in.)
inputfilter.cpp:339: error: use of `Query' is ambiguous
query.h:37: error: first declared as `class Query' here
outputfilter.h:40: error: also declared as `Konversation::MessageType Query - Jun 07 2005
'Q' DVD-Author

Video Apps 80 comments

Score 79%
79 Likes
21 Dislikes
Jan 09 2010
Running './configure' I get this;

*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+**+*+*+*+*
*+*+ Please wait while building configurator +*+*
*+*+ your graphical configuration application +*+*
*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+**+*+*+*+*

qt-mt
./configure: line 60: [: -lt: unary operator expected
./configure: line 254: qmake: command not found
make: *** No targets specified and no makefile found. Stop.
Problems compiling configurator application
Please report to qdvdauthor@users.sf.net


Running KDE 3.4.0 - May 30 2005
DivXcalc

Utilities 8 comments

Score 67%
67 Likes
33 Dislikes
Mar 08 2005
Trying to compile the source and when doing 'make -f Makefile.dist' I get this;

This Makefile is only for the CVS repository
This will be deleted before making the distribution

*** YOU'RE USING automake (GNU automake) 1.9.5.
*** KDE requires automake 1.5
make[1]: *** [cvs] Error 1
make: *** [all] Error 2 - May 30 2005
K3b

Utilities 227 comments

by trueg
Score 89%
89 Likes
11 Dislikes
Jun 30 2010
That so? I have compile many versions of K3B many times from source and never had it crash. That includes compiling KDE3 from source as well. There have been versions not perfect in all circumstances, sure. But AFAIK not as serious as you claim.

A WAG suggests you are compiling with to great of optimizations, or your kde environment is not quite right, to name a few off the top of my head. - Feb 04 2005
Usability Test: optimized desktop space

KDE 1.-4. Improvements 16 comments

Score 45%
45 Likes
55 Dislikes
Sep 07 2004
Except for having kicker at the screen top and the additions you show. That is how I have all my applications set, that is maximized. Well most anyway. - Sep 05 2004